%define pkgname alterator

Name: ruby-%pkgname
Version: 0.1.1
Release: alt1
Summary: Ruby helper for ALT Linux alterator framework
License: GPLv2+
Group: Development/Ruby

Packager: Ruby Maintainers Team <ruby@packages.altlinux.org>

Source: %pkgname-%version.tar

BuildArch: noarch

# Automatically added by buildreq on Fri Jun 27 2008 (-bi)
BuildRequires: rpm-build-ruby ruby-bacon ruby-module-stringio

%description
Alterator - ruby extension for writing backends for ALT Linux
alterator framework.

%prep
%setup -n %pkgname-%version

%build
%ruby_config
%ruby_build
bacon -a

%install
%ruby_install

%files
%doc README
%ruby_sitelibdir/*

%changelog
* Fri Jun 27 2008 Sir Raorn <raorn@altlinux.ru> 0.1.1-alt1
- More replies (object-with-attributes list)
- Added tests

* Fri Jun 20 2008 Sir Raorn <raorn@altlinux.ru> 0.1.0-alt1
- Dropped API version 0 support
- More generic object quotation

* Thu Jun 19 2008 Sir Raorn <raorn@altlinux.ru> 0.0.3-alt1
- [0.0.3]
 + API version 1 support
 + New method Backend3#write (see README for examples)
 + Helper method quote for some standard classes

* Sat Jun 07 2008 Sir Raorn <raorn@altlinux.ru> 0.0.2-alt1
- [0.0.2]
 + Renamed ALTerator to Alterator
 + Non-stdout backend support, STDOUT protection
 + Imported some reply functions from perl and shell alterator helpers
 + Map ruby exceptions to alterator error reply

* Sun Dec 23 2007 Sir Raorn <raorn@altlinux.ru> 0.0.1-alt1
- Initial build for ALT Linux

